PSCAN_CHIP(1)

NAME
pscan_chip - ChIP-based identifcation of TF binding sites

SYNOPSIS
pscan_chip -r region_file.bed -M matrixfile.wil -g genome [OPTIONS]

OPTIONS

  MANDATORY OPTIONS:
-r [regionfile] the BED file with the regions to be analyzed TFs enrichment (e.g. peaks from a ChIP-Seq experiment). PscanChIP will compute the central position of each region and consider the genomic region surrounding it in its computations. The default length of the region surrounding the center is 150bp but it can be modified using the -s option. For optimal results we suggest to use summits?? coordinates when available instead of peak coordinates.

-g [folder] the genome folder to which the BED file refers to. The directory must contain the genome files in RAW format (one file per chromosome).

-M [matrixfile] the file containing the motif matrices to be used by Pscan_ChIP.

  OTHER OPTIONS:
-s [size] the genomic regions size, default is 150bp. Leaving the default value assures optimal results in most cases. Beware that changing the region length makes the available background file(s) inconsistent, since they were computed for regions of 150 bp. Thus, to change the genomic region size to be analyzed you will also need to produce new background file(s) for the new region size. All in all, for a normal ChIP-Seq experiment it??s better to leave this parameter untouched.

-m [matrixname] use this option to select a matrix from matrixfile and make Pscan_ChIP run in single matrix mode.

-bg [bgfile] Background file, needed to compute global pvalues.

-ss Single strand mode.

  OUTPUT:
Output files will be written in a regionfile.res file, with regionfile being the name of the BED file passed with the -r parameter. When running in single matrix mode the output file will have a ".ris" extension instead.

EXAMPLES:

1- Running PscanChIP with a precomputed background file using Jaspar matrices and human genome (hg19):

pscan_chip -r input.bed -g hg19 -M jaspar.wil -bg BG/K562.jaspar.bg

2- Running PscanChIP in single matrix mode to obtain the position of the best matches for a given matrix within the input regions (one match per region).

pscan_chip -r input.bed -g hg19 -M jaspar.wil -m MA0493.1

3- Preparing a new background file for a custom set of matrices or for a new set of accessible genomic locations.

pscan_chip -r background.bed -g hg19 -M mymatrices.wil

The background.bed.res file obtained can be used as a background file for successive PscanChIP runs using the same mymatrices.wil matrices file.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.